import createAxios from '@/utils/request'

// 菜单修改
export function updateMenu(params: anyObj) {
    return createAxios({
        url: '/user-boot/function/update',
        method: 'PUT',
        data: params
    })
}

export function addMenu(params: anyObj) {
    return createAxios({
        url: '/user-boot/function/add',
        method: 'POST',
        data: params
    })
}

export function delMenu(id: string) {
    return createAxios({
        url: '/user-boot/function/delete?id=' + id,
        method: 'delete'
    })
}
export function getTheme() {
    return createAxios({
        url: '/system-boot/theme/getTheme',
        method: 'get'
    })
}
export function addVersion(data:any) {
    return createAxios({
        url: '/system-boot/appVersion/add',
        method: 'post',
        data
    })
}
export function getLastData(data:any) {
    return createAxios({
        url: '/system-boot/appVersion/getLastData',
        method: 'post',
        params:data
    })
}
